
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'android_app_index/version'

Gem::Specification.new do |spec|
  spec.name          = 'android_app_index'
  spec.version       = AndroidAppIndex::VERSION
  spec.authors       = ['Matt Dailey']
  spec.email         = ['matthew.j.dailey@gmail.com']

  spec.summary       = 'Index and search android app details'
  spec.description   = 'Search and store <package, name, icon_url> in Algolia'
  spec.homepage      = 'https://reactiverobot.com'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'algoliasearch', '= 1.19.1'
  spec.add_runtime_dependency 'nokogiri', '= 1.8.1'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
